import './index.css';
import nameGenerator from './name-generator';
import isDef from './is-def';
//la color de l'utilisateur actual 
var color = getRandomColor()


var jeDessinePour
// Store/retrieve the name in/from a cookie.
const cookies = document.cookie.split(';');
//console.log(cookies)
let wsname = cookies.find(function (c) {
  if (c.match(/wsname/) !== null) return true;
  return false;
});
if (isDef(wsname)) {
  wsname = wsname.split('=')[1];
} else {
  wsname = nameGenerator();
  document.cookie = "wsname=" + encodeURIComponent(wsname);
}
var listUsers = []
const select = document.querySelector('#messages');
var option = document.createElement('option');
option.textContent = decodeURIComponent(wsname);
select.appendChild(option)
// Set the name in the header
document.querySelector('header>p').textContent = decodeURIComponent(wsname);

// Create a WebSocket connection to the server
const ws = new WebSocket("ws://" + window.location.host + "/socket");

// We get notified once connected to the server
ws.onopen = (event) => {

  console.log("We are connected.");

};
//git remote rm origin
// Listen to messages coming from the server. When it happens, create a new <li> and append it to the DOM.
const messages = document.querySelector('#messages');
let opt;
ws.onmessage = (event) => {

// je crée un nouvelle option
  opt = document.createElement('option');

//je recupère les propietés des dessin brosdkaster par le serveur
   
  var usrName = event.data.split("=")[0]
  var usrColor = event.data.split("=")[1]
  var dessinAutre = event.data.split("=")[4]
  var X = event.data.split("=")[2]
  var Y = event.data.split("=")[3]


//je rajoute chaque dessin reçu à la listes des dessin
  if (typeof (listUsers[usrName]) === "undefined") {
    listUsers[usrName] = usrName + "=" + usrColor + "/" + X + ";" + Y
    if (usrName !== decodeURIComponent(wsname)) {
// j'ajoute le nom de l'utilisateur à la liste de chois de tout les l'utilisateur connectés
      opt.textContent =usrName
      messages.appendChild(opt);
    }

  } else {
    //si l'utilisateur exite déja je lui rajoute les cordonné de ce qui dissine actuellement
    listUsers[usrName] += ("/" + X + ";" + Y)
  }

//si mon dessin est ce lui que je recoit
  if (usrName === decodeURIComponent(wsname)) {
    dessiner(X, Y, usrColor)

  } else if (dessinAutre == decodeURIComponent(wsname)) {//si mon est celui d'un autre
    dessiner(X, Y, usrColor)
  } else if (usrName === jeDessinePour) {//si le dissin de l'autre est celui que je reçoit
    
    var cX, cY, colorUser

    for (var i = 1; i < listUsers [jeDessinePour].split("/").length; i++) {

      cX = listUsers [jeDessinePour].split("/")[i].split(";")[0]
      cY = listUsers [jeDessinePour].split("/")[i].split(";")[1]
      colorUser = listUsers [jeDessinePour].split("=")[1].split("/")[0];
      dessiner(cX, cY, colorUser)
    }

  }

  
  //evenement sur la liste des choix
  messages.addEventListener('change', function () {
//effacer mon dessin 
   effacer()
   
    //dessin le dessin de ce lui sur lequel je participe 
    for (var i = 0; i < listUsers[usrName].split("/").length; i++) {
      

      cX = listUsers[usrName].split("/")[i].split(";")[0]
      cY = listUsers[usrName].split("/")[i].split(";")[1]
      colorUser = listUsers[usrName].split("=")[1].split("/")[0];
      dessiner(cX, cY, usrColor)
     // listUsers[usrName] += ("/" + cX + ";" + cY)

    }


  })
};

// la fonction dessiner
function dessiner(x, y, couleur) {
  context.beginPath();
  context.fillStyle = couleur;
  context.fillRect(x, y, 10, 10);
  context.closePath();
}

// Retrieve the input element. Add listeners in order to send the content of the input when the "return" key is pressed.
function sendMessage(event) {
  event.preventDefault();
  event.stopPropagation();
//envoyer les proprietés de mon dessins au server
  ws.send(decodeURIComponent(wsname) + "=" + color + "=" + currX + "=" + currY + "=" + jeDessinePour);

  
}
const sendForm = document.querySelector('form');
const sendInput = document.querySelector('form input');
sendForm.addEventListener('submit', sendMessage, true);
sendForm.addEventListener('blur', sendMessage, true);


//********************************************************** */
//variabe canvas et context 
var canvas = document.getElementById('can');
var context = canvas.getContext("2d");


var flag = false,
prevX,
currX,
prevY,
currY,
dot_flag = false;


// appel fonction init 
init()

  //cette fonction permet de récuperer les état de la sourie 

function init() {


  canvas.addEventListener("mousemove", function (e) {
    findxy('move', e)


  }, false);
  canvas.addEventListener("mousedown", function (e) {
    findxy('down', e)

  }, false);
  canvas.addEventListener("mouseup", function (e) {
    findxy('up', e)

  }, false);
  canvas.addEventListener("mouseout", function (e) {
    findxy('out', e)

  }, false);

}

//fonction pour retrouver les cordoneé d'un point  de ma sourie sur le convas
function findxy(res, e) {
  if (res == 'down') {
    prevX = currX;
    prevY = currY;
    currX = e.clientX - canvas.offsetLeft;
    currY = e.clientY - canvas.offsetTop;

    flag = true;
    dot_flag = true;
    if (dot_flag) {
            
      sendMessage(e)
     jeDessinePour = messages.options[messages.selectedIndex].text
      dot_flag = false;
    }

  }
  if (res == 'up' || res == "out") {
    flag = false;
  }
  if (res == 'move') {
    if (flag) {
      prevX = currX;
      prevY = currY;
      currX = e.clientX - canvas.offsetLeft;
      currY = e.clientY - canvas.offsetTop;
      
      sendMessage(e)
    }

  }


}

//récuperer le bouton  efacer 
var nouveau = document.getElementById("nouveau");

//l'evenement sur le bouton
nouveau.addEventListener("click", effacer)

//fonction permettant d'effacer le canvas
function effacer() {
  context.clearRect(0, 0, canvas.width, canvas.height)
  listUsers[decodeURIComponent(wsname)] = decodeURIComponent(wsname) + "=" + color

}

//fonction permettant de générer aleatoirement une couleur 
function getRandomColor() {
  var letters = '0123456789ABCDEF';
  var color = '#';
  for (var i = 0; i < 6; i++) {
    color += letters[Math.floor(Math.random() * 16)];
  }
  return color;
}